Subject: bug#1309: no doc on how to avoid startup screen while still loading .emacs customizations

From: Joshua Richardson <[email-masked]>
Date: Fri, 7 Nov 2008 11:39:55 -0800

I don't see the link; must be in newer versions only.  As an aside, the option doesn't seem to be working with my version.  If I type 'M-x eval-expression', 'inhibit-startup-screen', I see 't' in the status bar, but I'm still getting startup screens.  Here is the text from my startup screen:

Welcome to GNU Emacs, a part of the GNU operating system.

Type C-l to begin editing your file.

Get help           C-h  (Hold down CTRL and press h)
Emacs manual       C-h r
Emacs tutorial     C-h t           Undo changes     C-x u
Buy manuals        C-h C-m         Exit Emacs       C-x C-c
Browse manuals     C-h i
Activate menubar   F10  or  ESC `  or   M-`
(`C-' means use the CTRL key.  `M-' means use the Meta (or Alt) key.
If you have no Meta key, you may instead type ESC followed by the character.)

GNU Emacs 22.1.1 (i386-pc-freebsd, GTK+ Version 2.10.9)
 of 2007-08-01 on build01-bsd4.dt.corp.sp1.yahoo.com
Copyright (C) 2007 Free Software Foundation, Inc.

GNU Emacs comes with ABSOLUTELY NO WARRANTY; type C-h C-w for full details.
Emacs is Free Software--Free as in Freedom--so you can redistribute copies
of Emacs and modify it; type C-h C-c to see the conditions.
Type C-h C-d for information on getting the latest version.

If an Emacs session crashed recently, type Meta-x recover-session RET
to recover the files you were editing.

-----Original Message-----
From: Stefan Monnier [mailto:[email-masked]] 
Sent: Thursday, November 06, 2008 6:23 PM
To: Joshua Richardson
Cc: [email-masked]; [email-masked]
Subject: Re: bug#1309: no doc on how to avoid startup screen while still loading .emacs customizations

> Maybe it's not possible, but either way, thinking it should be
> documented how it would be possible to start emacs without showing the
> startup screen.  There was one reference to using -quick, but that
> also seemed to bypass customizations.  There was not other reference

The startup screen itself has a link to "customize startup", where the
second entry is "inhibit startup screen".

Do you think we should try and make it more prominent?  If so how?

        Stefan